package net.northking.cctp.upperComputer.driver.agent.command;

import net.northking.cctp.upperComputer.driver.agent.command.protocol.AbstractProtocolCommand;

import java.io.DataInput;
import java.io.DataOutput;

/**
 * 关闭会话指令<br>
 * 通常不用这个，用这个是由Agent主动断开，直接close socket则为本端断开
 */
public class CloseSessionCommand extends AbstractProtocolCommand<Object> {

    private static CloseSessionCommand instance = null;

    public static CloseSessionCommand getInstance() {
        if (instance == null) {
            instance = new CloseSessionCommand();
        }
        return instance;
    }

    private CloseSessionCommand() {
    }

    @Override
    public int getCommandId() {
        return 0;
    }

    @Override
    public void doSend(DataOutput output) {

    }

    @Override
    public Object buildReceive(DataInput input) {
        return null;
    }
}
